html {
    font-family: "微软雅黑";
    color: #373737;
    font-size: 50px;
}

div {
    box-sizing: border-box;
    /* 移动端滑动卡顿现象的解决方案 */
    -webkit-overflow-scrolling: touch;
    z-index: 1;
}

.block {
    display: block;
}

.inline-block {
    display: inline-block;
}

img {
    width: 100%;
}

button::after {
    border: none;
}

input {
    outline: none;
    border: none;
    list-style: none;
}

.text-l {
    text-align: left;
}

.text-c {
    text-align: center;
}

.text-r {
    text-align: right;
}

.normalFwb {
    font-weight: normal;
}

.fwb {
    font-weight: bold;
}

.fwb500 {
    font-weight: 500;
}

.fwb600 {
    font-weight: 600;
}

.fwb800 {
    font-weight: 800;
}

.width100 {
    width: 100% !important;
}

.height100 {
    height: 100% !important;
}

.oneLH {
    height: 1rem;
    line-height: 1rem;
}

.lineH0 {
    line-height: 0;
}

::-webkit-scrollbar {
    display: none;
    width: 0 !important;
    height: 0 !important;
    color: transparent !important;
}

.clearfix {
    zoom: 1;
}

.clearfix:after {
    visibility: hidden;
    display: block;
    font-size: 0;
    content: " ";
    clear: both;
    height: 0;
}

.fl {
    float: left;
}

.fr {
    float: right;
}

.ver-align {
    vertical-align: middle;
}

.white {
    color: #fff !important;
}

.whiteBg {
    background-color: #fff !important;
}

.no-border {
    border: none !important;
}

.tran-bg {
    background-color: transparent !important;
}

.td-lt {
    text-decoration: line-through;
}

.overfH {
    overflow: hidden;
}

/*伸缩盒子模型*/

.box {
    display: -webkit-box;
    /* 老版本语法: Safari, iOS, Android browser, older WebKit browsers. */
    display: -moz-box;
    /* 老版本语法: Firefox (buggy) */
    display: -ms-flexbox;
    /* 混合版本语法: IE 10 */
    display: -webkit-flex;
    /* 新版本语法: Chrome 21+ */
    display: flex;
    /* 新版本语法: Opera 12.1, Firefox 22+ */
    -webkit-flex-wrap: nowrap;
    -ms-flex-wrap: nowrap;
    flex-wrap: nowrap;
}

.box_wrap {
    display: -webkit-box;
    /* 老版本语法: Safari, iOS, Android browser, older WebKit browsers. */
    display: -moz-box;
    /* 老版本语法: Firefox (buggy) */
    display: -ms-flexbox;
    /* 混合版本语法: IE 10 */
    display: -webkit-flex;
    /* 新版本语法: Chrome 21+ */
    display: flex;
    /* 新版本语法: Opera 12.1, Firefox 22+ */
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
}

/*从左至右*/

.box-lr {
    -webkit-box-direction: normal;
    -webkit-box-orient: horizontal;
    -moz-flex-direction: row;
    -webkit-flex-direction: row;
    flex-direction: row;
}

/*从右至左*/

.box-rl {
    -webkit-box-pack: end;
    -webkit-box-direction: reverse;
    -webkit-box-orient: horizontal;
    -moz-flex-direction: row-reverse;
    -webkit-flex-direction: row-reverse;
    flex-direction: row-reverse;
}

/*从上至下*/

.box-tb {
    -webkit-box-direction: normal;
    -webkit-box-orient: vertical;
    -moz-flex-direction: column;
    -webkit-flex-direction: column;
    flex-direction: column;
}

/*从下至上*/

.box-bt {
    -webkit-box-pack: end;
    -webkit-box-direction: reverse;
    -webkit-box-orient: vertical;
    -moz-flex-direction: column-reverse;
    -webkit-flex-direction: column-reverse;
    flex-direction: column-reverse;
}

.flex1 {
    flex: 1;
}

/*主轴居中*/

.box-pack-center {
    -webkit-box-pack: center;
    -moz-justify-content: center;
    -webkit-justify-content: center;
    justify-content: center;
}

/*主轴居左*/

.box-pack-start {
    -webkit-box-pack: start;
    -moz-justify-content: flex-start;
    -webkit-justify-content: flex-start;
    justify-content: flex-start;
}

/*主轴居右*/

.box-pack-end {
    -webkit-box-pack: end;
    -moz-justify-content: flex-end;
    -webkit-justify-content: flex-end;
    justify-content: flex-end;
}

/*主轴左右不留白*/

.box-pack-between {
    -webkit-box-pack: justify;
    -moz-justify-content: space-between;
    -webkit-justify-content: space-between;
    justify-content: space-between;
}

/*主轴左右留白*/

.box-pack-around {
    -moz-justify-content: space-around;
    -webkit-justify-content: space-around;
    justify-content: space-around;
}

/*交叉轴居中对齐*/

.box-align-center {
    -webkit-box-align: center;
    -moz-align-items: center;
    -webkit-align-items: center;
    align-items: center;
}

/*交叉轴居左对齐*/

.box-align-start {
    -webkit-box-align: start;
    -moz-align-items: start;
    -webkit-align-items: flex-start;
    align-items: flex-start;
}

/*交叉轴居右对齐*/

.box-align-end {
    -webkit-box-align: end;
    -moz-align-items: end;
    -webkit-align-items: flex-end;
    align-items: flex-end;
}

/**单个指定的子元素自定义对齐方式，可以不同于其他子元素对齐方式**/

/**指定子元素居中对齐**/

.self-align-center {
    align-self: center;
    -webkit-align-self: center;
    margin: 0 auto;
}

/**指定子元素顶部对齐**/

.self-align-start {
    align-self: flex-start;
    -webkit-align-self: flex-start;
}

/**指定子元素底部对齐**/

.self-align-end {
    align-self: flex-end;
    -webkit-align-self: flex-end;
}

/**指定子元素拉伸**/

.self-align-stretch {
    align-self: stretch;
    -webkit-align-self: stretch;
}

/**子元素换行**/

.box-wrap {
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
}

/**子元素不换行**/

.box-nowrap {
    -webkit-flex-wrap: nowrap;
    -ms-flex-wrap: nowrap;
    flex-wrap: nowrap;
}

/*允许子元素伸展（1倍）*/

.flex {
    -moz-flex-grow: 1;
    -webkit-flex-grow: 1;
    flex-grow: 1;
}

/*允许子元素收缩(1倍)*/

.shrink {
    -moz-flex-shrink: 1;
    -webkit-flex-shrink: 1;
    flex-shrink: 1;
}

/**水平居中*/

.box-center-center {
    display: -webkit-box;
    -webkit-box-align: center;
    -webkit-box-pack: center;
    display: -moz-box;
    -moz-box-align: center;
    -moz-box-pack: center;
    text-align: center;
}

.relative {
    position: relative;
}

/* 绝对定位上下左右居中 */

.absolute-leftTop-center {
    position: absolute !important;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

/* 绝对定位左右居中 */

.absolute-leftRight-center {
    position: absolute !important;
    left: 50% !important;
    transform: translateX(-50%) !important;
}

/* 绝对定位上下居中 */

.absolute-topBottom-center {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}

/* 弹框背景定位 */

.fixed-leftTop-bg {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 2001;
}

/* 用来覆盖 */

.absolute-width-height {
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    z-index: 100;
}

/* 固定在底部 */

.fixed-leftBottom-position {
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
}

/* 文字一行、两行显示 */
.oneLine {
    display: inline-block;
    display: -webkit-box;
    width: 100%;
    height: 1.3rem;
    line-height: 1.3rem;
    text-overflow: ellipsis;
    overflow: hidden;
    word-wrap: break-word;
    white-space: normal !important;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    text-align: left;
}

.twoLine {
    display: inline-block;
    display: -webkit-box;
    width: 100%;
    min-height: 1.4rem;
    line-height: 1.4rem;
    text-overflow: ellipsis;
    overflow: hidden;
    word-wrap: break-word;
    white-space: normal !important;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    text-align: left;
}

.threeLine {
    display: inline-block;
    display: -webkit-box;
    width: 100%;
    min-height: 1.4rem;
    line-height: 1.4rem;
    text-overflow: ellipsis;
    overflow: hidden;
    word-wrap: break-word;
    white-space: normal !important;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}

/* 按钮圆角 */
.circle-j {
    border-radius: 200rpx !important;
}

.opacity0 {
    opacity: 0 !important;
}

/*字体适配*/

@media screen and (min-width: 299px) and (max-width: 320px) {
    html {
        font-size: 12px
    }
}

@media screen and (min-width: 321px) and (max-width: 375px) {
    html {
        font-size: 14px
    }
}

@media screen and (min-width: 376px) and (max-width: 414px) {
    html {
        font-size: 15px
    }
}

@media screen and (min-width: 415px) and (max-width: 639px) {
    html {
        font-size: 17px
    }
}

@media screen and (min-width: 640px) and (max-width: 719px) {
    html {
        font-size: 20px
    }
}

@media screen and (min-width: 720px) and (max-width: 749px) {
    html {
        font-size: 22.5px
    }
}

@media screen and (min-width: 750px) and (max-width: 799px) {
    html {
        font-size: 23.5px
    }
}

@media screen and (min-width: 800px) {
    html {
        font-size: 25px
    }
}

/*初始化*/
* {
    margin: 0;
    padding: 0;
}

html {
    -webkit-tap-highlight-color: transparent;
}

html,
body {
    width: 100%;
    height: 100%;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    /*部分安卓手机点击事件会高亮,初始化为不高亮*/
    cursor: pointer;
    -webkit-overflow-scrolling: touch;
    padding: 0;
}

ul,
li {
    padding: 0;
    margin: 0;
    list-style: none;
}

a {
    text-decoration: none;
}

button {
    border: none;
    outline: none;
}

img {
    -webkit-user-select: none;
    user-select: none;
    -webkit-touch-callout: none;
}